package b4a.limitbardemo;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class limitbar_subs_0 {


public static RemoteObject  _addtoparent(RemoteObject __ref,RemoteObject _parent,RemoteObject _left,RemoteObject _top,RemoteObject _width,RemoteObject _height,RemoteObject _backgroundcolor,RemoteObject _radius) throws Exception{
try {
		Debug.PushSubsStack("AddToParent (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,94);
if (RapidSub.canDelegate("addtoparent")) return __ref.runUserSub(false, "limitbar","addtoparent", __ref, _parent, _left, _top, _width, _height, _backgroundcolor, _radius);
Debug.locals.put("Parent", _parent);
Debug.locals.put("Left", _left);
Debug.locals.put("Top", _top);
Debug.locals.put("Width", _width);
Debug.locals.put("Height", _height);
Debug.locals.put("BackgroundColor", _backgroundcolor);
Debug.locals.put("Radius", _radius);
 BA.debugLineNum = 94;BA.debugLine="Public Sub AddToParent(Parent As Activity, Left As";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 95;BA.debugLine="mWidth = Width";
Debug.ShouldStop(1073741824);
__ref.setField ("_mwidth",_width);
 BA.debugLineNum = 96;BA.debugLine="mHeight = Max(Height, 30dip)				' limits the heig";
Debug.ShouldStop(-2147483648);
__ref.setField ("_mheight",BA.numberCast(int.class, limitbar.__c.runMethod(true,"Max",(Object)(BA.numberCast(double.class, _height)),(Object)(BA.numberCast(double.class, limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 30))))))));
 BA.debugLineNum = 97;BA.debugLine="mHeight = Min(Height, 60dip)					' limits the hei";
Debug.ShouldStop(1);
__ref.setField ("_mheight",BA.numberCast(int.class, limitbar.__c.runMethod(true,"Min",(Object)(BA.numberCast(double.class, _height)),(Object)(BA.numberCast(double.class, limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 60))))))));
 BA.debugLineNum = 98;BA.debugLine="mRadius = Min(Radius, Height / 2)		' limits the m";
Debug.ShouldStop(2);
__ref.setField ("_mradius",BA.numberCast(int.class, limitbar.__c.runMethod(true,"Min",(Object)(BA.numberCast(double.class, _radius)),(Object)(RemoteObject.solve(new RemoteObject[] {_height,RemoteObject.createImmutable(2)}, "/",0, 0)))));
 BA.debugLineNum = 99;BA.debugLine="mBackgroundColor = BackgroundColor";
Debug.ShouldStop(4);
__ref.setField ("_mbackgroundcolor",_backgroundcolor);
 BA.debugLineNum = 102;BA.debugLine="ltbPanelBack.Initialize(\"\")";
Debug.ShouldStop(32);
__ref.getField(false,"_ltbpanelback").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 103;BA.debugLine="Parent.AddView(ltbPanelBack, Left, Top, Width, He";
Debug.ShouldStop(64);
_parent.runVoidMethod ("AddView",(Object)((__ref.getField(false,"_ltbpanelback").getObject())),(Object)(_left),(Object)(_top),(Object)(_width),(Object)(_height));
 BA.debugLineNum = 105;BA.debugLine="InitClass		' initializes the common parts for Des";
Debug.ShouldStop(256);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initclass");
 BA.debugLineNum = 106;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _class_globals(RemoteObject __ref) throws Exception{
 //BA.debugLineNum = 20;BA.debugLine="Sub Class_Globals";
 //BA.debugLineNum = 21;BA.debugLine="Private mCallback As Object				' calling module";
limitbar._mcallback = RemoteObject.createNew ("Object");__ref.setField("_mcallback",limitbar._mcallback);
 //BA.debugLineNum = 22;BA.debugLine="Private mEventName As String			' event name";
limitbar._meventname = RemoteObject.createImmutable("");__ref.setField("_meventname",limitbar._meventname);
 //BA.debugLineNum = 23;BA.debugLine="Private mWidth, mHeight, mRadius As Int";
limitbar._mwidth = RemoteObject.createImmutable(0);__ref.setField("_mwidth",limitbar._mwidth);
limitbar._mheight = RemoteObject.createImmutable(0);__ref.setField("_mheight",limitbar._mheight);
limitbar._mradius = RemoteObject.createImmutable(0);__ref.setField("_mradius",limitbar._mradius);
 //BA.debugLineNum = 25;BA.debugLine="Private ltbPanelBack As Panel			' the background";
limitbar._ltbpanelback = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_ltbpanelback",limitbar._ltbpanelback);
 //BA.debugLineNum = 26;BA.debugLine="Private ltbPanelFront As Panel		' the foreground";
limitbar._ltbpanelfront = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");__ref.setField("_ltbpanelfront",limitbar._ltbpanelfront);
 //BA.debugLineNum = 27;BA.debugLine="Private cvsPanelBack As Canvas		' the background";
limitbar._cvspanelback = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper");__ref.setField("_cvspanelback",limitbar._cvspanelback);
 //BA.debugLineNum = 28;BA.debugLine="Private cvsPanelFront As Canvas		' the foreground";
limitbar._cvspanelfront = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper");__ref.setField("_cvspanelfront",limitbar._cvspanelfront);
 //BA.debugLineNum = 29;BA.debugLine="Private rectPanelFront As Rect		' a rectangle for";
limitbar._rectpanelfront = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.CanvasWrapper.RectWrapper");__ref.setField("_rectpanelfront",limitbar._rectpanelfront);
 //BA.debugLineNum = 31;BA.debugLine="Private mBackgroundColor As Int		' color for the";
limitbar._mbackgroundcolor = RemoteObject.createImmutable(0);__ref.setField("_mbackgroundcolor",limitbar._mbackgroundcolor);
 //BA.debugLineNum = 32;BA.debugLine="Private cdwBackground As ColorDrawable	' backgrou";
limitbar._cdwbackground = RemoteObject.createNew ("anywheresoftware.b4a.objects.drawable.ColorDrawable");__ref.setField("_cdwbackground",limitbar._cdwbackground);
 //BA.debugLineNum = 33;BA.debugLine="Private mBackLineColor As Int			' color for the b";
limitbar._mbacklinecolor = RemoteObject.createImmutable(0);__ref.setField("_mbacklinecolor",limitbar._mbacklinecolor);
 //BA.debugLineNum = 34;BA.debugLine="Private mFrontLineColor As Int		' color for the f";
limitbar._mfrontlinecolor = RemoteObject.createImmutable(0);__ref.setField("_mfrontlinecolor",limitbar._mfrontlinecolor);
 //BA.debugLineNum = 35;BA.debugLine="Private mMargin As Int						' left and right marg";
limitbar._mmargin = RemoteObject.createImmutable(0);__ref.setField("_mmargin",limitbar._mmargin);
 //BA.debugLineNum = 36;BA.debugLine="Private x0, y0, x1, y1, y2 As Int	' backline and";
limitbar._x0 = RemoteObject.createImmutable(0);__ref.setField("_x0",limitbar._x0);
limitbar._y0 = RemoteObject.createImmutable(0);__ref.setField("_y0",limitbar._y0);
limitbar._x1 = RemoteObject.createImmutable(0);__ref.setField("_x1",limitbar._x1);
limitbar._y1 = RemoteObject.createImmutable(0);__ref.setField("_y1",limitbar._y1);
limitbar._y2 = RemoteObject.createImmutable(0);__ref.setField("_y2",limitbar._y2);
 //BA.debugLineNum = 37;BA.debugLine="Private mMaxValue As Int					' value of the Max p";
limitbar._mmaxvalue = RemoteObject.createImmutable(0);__ref.setField("_mmaxvalue",limitbar._mmaxvalue);
 //BA.debugLineNum = 38;BA.debugLine="Private mScale As Double					' scale between posi";
limitbar._mscale = RemoteObject.createImmutable(0);__ref.setField("_mscale",limitbar._mscale);
 //BA.debugLineNum = 39;BA.debugLine="Private mLimit(2) As Int					' values of the limi";
limitbar._mlimit = RemoteObject.createNewArray ("int", new int[] {2}, new Object[]{});__ref.setField("_mlimit",limitbar._mlimit);
 //BA.debugLineNum = 40;BA.debugLine="Private PositionPixels(2) As Int	' left and right";
limitbar._positionpixels = RemoteObject.createNewArray ("int", new int[] {2}, new Object[]{});__ref.setField("_positionpixels",limitbar._positionpixels);
 //BA.debugLineNum = 41;BA.debugLine="Private Paths(2) As Path					' two paths for the";
limitbar._paths = RemoteObject.createNewArray ("anywheresoftware.b4a.objects.drawable.CanvasWrapper.PathWrapper", new int[] {2}, new Object[]{});__ref.setField("_paths",limitbar._paths);
 //BA.debugLineNum = 42;BA.debugLine="Private PosIndex As Int						' current index of t";
limitbar._posindex = RemoteObject.createImmutable(0);__ref.setField("_posindex",limitbar._posindex);
 //BA.debugLineNum = 44;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _designercreateview(RemoteObject __ref,RemoteObject _base,RemoteObject _lbl,RemoteObject _props) throws Exception{
try {
		Debug.PushSubsStack("DesignerCreateView (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,65);
if (RapidSub.canDelegate("designercreateview")) return __ref.runUserSub(false, "limitbar","designercreateview", __ref, _base, _lbl, _props);
Debug.locals.put("Base", _base);
Debug.locals.put("Lbl", _lbl);
Debug.locals.put("Props", _props);
 BA.debugLineNum = 65;BA.debugLine="Public Sub DesignerCreateView(Base As Panel, Lbl A";
Debug.ShouldStop(1);
 BA.debugLineNum = 67;BA.debugLine="ltbPanelBack = Base";
Debug.ShouldStop(4);
__ref.setField ("_ltbpanelback",_base);
 BA.debugLineNum = 70;BA.debugLine="mWidth = Base.Width";
Debug.ShouldStop(32);
__ref.setField ("_mwidth",_base.runMethod(true,"getWidth"));
 BA.debugLineNum = 71;BA.debugLine="mHeight = Base.Height";
Debug.ShouldStop(64);
__ref.setField ("_mheight",_base.runMethod(true,"getHeight"));
 BA.debugLineNum = 74;BA.debugLine="mMaxValue = Props.Get(\"Max\")";
Debug.ShouldStop(512);
__ref.setField ("_mmaxvalue",BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("Max"))))));
 BA.debugLineNum = 75;BA.debugLine="mLimit(0) = Props.Get(\"LimitLeft\")";
Debug.ShouldStop(1024);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("LimitLeft"))))),BA.numberCast(int.class, 0));
 BA.debugLineNum = 76;BA.debugLine="mLimit(0) = Max(0, mLimit(0))					' we check the";
Debug.ShouldStop(2048);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Max",(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0)))))),BA.numberCast(int.class, 0));
 BA.debugLineNum = 78;BA.debugLine="mLimit(1) = Props.Get(\"LimitRight\")";
Debug.ShouldStop(8192);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("LimitRight"))))),BA.numberCast(int.class, 1));
 BA.debugLineNum = 79;BA.debugLine="mLimit(1) = Min(mMaxValue, mLimit(1))	' we check";
Debug.ShouldStop(16384);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Min",(Object)(BA.numberCast(double.class, __ref.getField(true,"_mmaxvalue"))),(Object)(BA.numberCast(double.class, __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1)))))),BA.numberCast(int.class, 1));
 BA.debugLineNum = 81;BA.debugLine="mRadius = Props.Get(\"Radius\")";
Debug.ShouldStop(65536);
__ref.setField ("_mradius",BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("Radius"))))));
 BA.debugLineNum = 82;BA.debugLine="mBackgroundColor = Props.Get(\"BackgroundColor\")";
Debug.ShouldStop(131072);
__ref.setField ("_mbackgroundcolor",BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("BackgroundColor"))))));
 BA.debugLineNum = 83;BA.debugLine="mBackLineColor = Props.Get(\"BackLineColor\")";
Debug.ShouldStop(262144);
__ref.setField ("_mbacklinecolor",BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("BackLineColor"))))));
 BA.debugLineNum = 84;BA.debugLine="mFrontLineColor = Props.Get(\"FrontLineColor\")";
Debug.ShouldStop(524288);
__ref.setField ("_mfrontlinecolor",BA.numberCast(int.class, _props.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("FrontLineColor"))))));
 BA.debugLineNum = 86;BA.debugLine="InitClass		' initializes the common parts for Des";
Debug.ShouldStop(2097152);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initclass");
 BA.debugLineNum = 87;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _drawbackground(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("DrawBackGround (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,145);
if (RapidSub.canDelegate("drawbackground")) return __ref.runUserSub(false, "limitbar","drawbackground", __ref);
 BA.debugLineNum = 145;BA.debugLine="Private Sub DrawBackGround";
Debug.ShouldStop(65536);
 BA.debugLineNum = 146;BA.debugLine="ltbPanelBack.Background = cdwBackground";
Debug.ShouldStop(131072);
__ref.getField(false,"_ltbpanelback").runMethod(false,"setBackground",(__ref.getField(false,"_cdwbackground").getObject()));
 BA.debugLineNum = 147;BA.debugLine="cvsPanelBack.Initialize(ltbPanelBack)";
Debug.ShouldStop(262144);
__ref.getField(false,"_cvspanelback").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelback").getObject())));
 BA.debugLineNum = 148;BA.debugLine="cvsPanelBack.DrawLine(x0, y0, x1, y0, mBackLineCo";
Debug.ShouldStop(524288);
__ref.getField(false,"_cvspanelback").runVoidMethod ("DrawLine",(Object)(BA.numberCast(float.class, __ref.getField(true,"_x0"))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_x1"))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))),(Object)(__ref.getField(true,"_mbacklinecolor")),(Object)(BA.numberCast(float.class, limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 2))))));
 BA.debugLineNum = 149;BA.debugLine="ltbPanelBack.Invalidate";
Debug.ShouldStop(1048576);
__ref.getField(false,"_ltbpanelback").runVoidMethod ("Invalidate");
 BA.debugLineNum = 150;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _drawcursors(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("DrawCursors (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,152);
if (RapidSub.canDelegate("drawcursors")) return __ref.runUserSub(false, "limitbar","drawcursors", __ref);
 BA.debugLineNum = 152;BA.debugLine="Private Sub DrawCursors";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 154;BA.debugLine="cvsPanelFront.DrawRect(rectPanelFront, Colors.Tra";
Debug.ShouldStop(33554432);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("DrawRect",(Object)((__ref.getField(false,"_rectpanelfront").getObject())),(Object)(limitbar.__c.getField(false,"Colors").getField(true,"Transparent")),(Object)(limitbar.__c.getField(true,"True")),(Object)(BA.numberCast(float.class, 1)));
 BA.debugLineNum = 157;BA.debugLine="Paths(0).Initialize(PositionPixels(0), y0)";
Debug.ShouldStop(268435456);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("Initialize",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))));
 BA.debugLineNum = 158;BA.debugLine="Paths(0).LineTo(PositionPixels(0), y2)";
Debug.ShouldStop(536870912);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y2"))));
 BA.debugLineNum = 159;BA.debugLine="Paths(0).LineTo(PositionPixels(0) - 12dip, y2)";
Debug.ShouldStop(1073741824);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)),limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 12)))}, "-",1, 1))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y2"))));
 BA.debugLineNum = 160;BA.debugLine="Paths(0).LineTo(PositionPixels(0) - 12dip, y1)";
Debug.ShouldStop(-2147483648);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)),limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 12)))}, "-",1, 1))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y1"))));
 BA.debugLineNum = 161;BA.debugLine="Paths(0).LineTo(PositionPixels(0), y0)";
Debug.ShouldStop(1);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))));
 BA.debugLineNum = 164;BA.debugLine="Paths(1).Initialize(PositionPixels(1), y0)";
Debug.ShouldStop(8);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("Initialize",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))));
 BA.debugLineNum = 165;BA.debugLine="Paths(1).LineTo(PositionPixels(1), y2)";
Debug.ShouldStop(16);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y2"))));
 BA.debugLineNum = 166;BA.debugLine="Paths(1).LineTo(PositionPixels(1) + 12dip, y2)";
Debug.ShouldStop(32);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)),limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 12)))}, "+",1, 1))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y2"))));
 BA.debugLineNum = 167;BA.debugLine="Paths(1).LineTo(PositionPixels(1) + 12dip, y1)";
Debug.ShouldStop(64);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)),limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 12)))}, "+",1, 1))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y1"))));
 BA.debugLineNum = 168;BA.debugLine="Paths(1).LineTo(PositionPixels(1), y0)";
Debug.ShouldStop(128);
__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).runVoidMethod ("LineTo",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))));
 BA.debugLineNum = 171;BA.debugLine="cvsPanelFront.DrawPath(Paths(0), mFrontLineColor,";
Debug.ShouldStop(1024);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("DrawPath",(Object)((__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 0)).getObject())),(Object)(__ref.getField(true,"_mfrontlinecolor")),(Object)(limitbar.__c.getField(true,"True")),(Object)(BA.numberCast(float.class, 1)));
 BA.debugLineNum = 172;BA.debugLine="cvsPanelFront.DrawPath(Paths(1), mFrontLineColor,";
Debug.ShouldStop(2048);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("DrawPath",(Object)((__ref.getField(false,"_paths").getArrayElement(false,BA.numberCast(int.class, 1)).getObject())),(Object)(__ref.getField(true,"_mfrontlinecolor")),(Object)(limitbar.__c.getField(true,"True")),(Object)(BA.numberCast(float.class, 1)));
 BA.debugLineNum = 173;BA.debugLine="cvsPanelFront.DrawLine(PositionPixels(0), y0, Pos";
Debug.ShouldStop(4096);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("DrawLine",(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))),(Object)(BA.numberCast(float.class, __ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1)))),(Object)(BA.numberCast(float.class, __ref.getField(true,"_y0"))),(Object)(__ref.getField(true,"_mfrontlinecolor")),(Object)(BA.numberCast(float.class, limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 3))))));
 BA.debugLineNum = 175;BA.debugLine="ltbPanelFront.Invalidate";
Debug.ShouldStop(16384);
__ref.getField(false,"_ltbpanelfront").runVoidMethod ("Invalidate");
 BA.debugLineNum = 176;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getbacklinecolor(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getBackLineColor (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,330);
if (RapidSub.canDelegate("getbacklinecolor")) return __ref.runUserSub(false, "limitbar","getbacklinecolor", __ref);
 BA.debugLineNum = 330;BA.debugLine="Public Sub getBackLineColor As Int";
Debug.ShouldStop(512);
 BA.debugLineNum = 331;BA.debugLine="Return mBackLineColor";
Debug.ShouldStop(1024);
if (true) return __ref.getField(true,"_mbacklinecolor");
 BA.debugLineNum = 332;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getfrontinecolor(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getFrontineColor (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,342);
if (RapidSub.canDelegate("getfrontinecolor")) return __ref.runUserSub(false, "limitbar","getfrontinecolor", __ref);
 BA.debugLineNum = 342;BA.debugLine="Public Sub getFrontineColor As Int";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 343;BA.debugLine="Return mFrontLineColor";
Debug.ShouldStop(4194304);
if (true) return __ref.getField(true,"_mfrontlinecolor");
 BA.debugLineNum = 344;BA.debugLine="End Sub";
Debug.ShouldStop(8388608);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getheight(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getHeight (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,309);
if (RapidSub.canDelegate("getheight")) return __ref.runUserSub(false, "limitbar","getheight", __ref);
 BA.debugLineNum = 309;BA.debugLine="Public Sub getHeight As Int";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 310;BA.debugLine="Return ltbPanelBack.Height";
Debug.ShouldStop(2097152);
if (true) return __ref.getField(false,"_ltbpanelback").runMethod(true,"getHeight");
 BA.debugLineNum = 311;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getleft(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getLeft (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,260);
if (RapidSub.canDelegate("getleft")) return __ref.runUserSub(false, "limitbar","getleft", __ref);
 BA.debugLineNum = 260;BA.debugLine="Public Sub getLeft As Int";
Debug.ShouldStop(8);
 BA.debugLineNum = 261;BA.debugLine="Return ltbPanelBack.Left";
Debug.ShouldStop(16);
if (true) return __ref.getField(false,"_ltbpanelback").runMethod(true,"getLeft");
 BA.debugLineNum = 262;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getlimitleft(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getLimitLeft (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,239);
if (RapidSub.canDelegate("getlimitleft")) return __ref.runUserSub(false, "limitbar","getlimitleft", __ref);
 BA.debugLineNum = 239;BA.debugLine="Public Sub getLimitLeft As Int";
Debug.ShouldStop(16384);
 BA.debugLineNum = 240;BA.debugLine="Return mLimit(0)";
Debug.ShouldStop(32768);
if (true) return __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0));
 BA.debugLineNum = 241;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getlimitright(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getLimitRight (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,251);
if (RapidSub.canDelegate("getlimitright")) return __ref.runUserSub(false, "limitbar","getlimitright", __ref);
 BA.debugLineNum = 251;BA.debugLine="Public Sub getLimitRight As Int";
Debug.ShouldStop(67108864);
 BA.debugLineNum = 252;BA.debugLine="Return mLimit(1)";
Debug.ShouldStop(134217728);
if (true) return __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1));
 BA.debugLineNum = 253;BA.debugLine="End Sub";
Debug.ShouldStop(268435456);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getmax(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getMax (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,227);
if (RapidSub.canDelegate("getmax")) return __ref.runUserSub(false, "limitbar","getmax", __ref);
 BA.debugLineNum = 227;BA.debugLine="Public Sub getMax As Int";
Debug.ShouldStop(4);
 BA.debugLineNum = 228;BA.debugLine="Return mMaxValue";
Debug.ShouldStop(8);
if (true) return __ref.getField(true,"_mmaxvalue");
 BA.debugLineNum = 229;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _gettop(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getTop (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,269);
if (RapidSub.canDelegate("gettop")) return __ref.runUserSub(false, "limitbar","gettop", __ref);
 BA.debugLineNum = 269;BA.debugLine="Public Sub getTop As Int";
Debug.ShouldStop(4096);
 BA.debugLineNum = 270;BA.debugLine="Return ltbPanelBack.Top";
Debug.ShouldStop(8192);
if (true) return __ref.getField(false,"_ltbpanelback").runMethod(true,"getTop");
 BA.debugLineNum = 271;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getvisible(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getVisible (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,318);
if (RapidSub.canDelegate("getvisible")) return __ref.runUserSub(false, "limitbar","getvisible", __ref);
 BA.debugLineNum = 318;BA.debugLine="Public Sub getVisible As Boolean";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 319;BA.debugLine="Return ltbPanelBack.Visible";
Debug.ShouldStop(1073741824);
if (true) return __ref.getField(false,"_ltbpanelback").runMethod(true,"getVisible");
 BA.debugLineNum = 320;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return RemoteObject.createImmutable(false);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _getwidth(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("getWidth (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,289);
if (RapidSub.canDelegate("getwidth")) return __ref.runUserSub(false, "limitbar","getwidth", __ref);
 BA.debugLineNum = 289;BA.debugLine="Public Sub getWidth As Int";
Debug.ShouldStop(1);
 BA.debugLineNum = 290;BA.debugLine="Return ltbPanelBack.Width";
Debug.ShouldStop(2);
if (true) return __ref.getField(false,"_ltbpanelback").runMethod(true,"getWidth");
 BA.debugLineNum = 291;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable(0);
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initclass(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("InitClass (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,108);
if (RapidSub.canDelegate("initclass")) return __ref.runUserSub(false, "limitbar","initclass", __ref);
 BA.debugLineNum = 108;BA.debugLine="Private Sub InitClass";
Debug.ShouldStop(2048);
 BA.debugLineNum = 110;BA.debugLine="cdwBackground.Initialize(mBackgroundColor, mRadiu";
Debug.ShouldStop(8192);
__ref.getField(false,"_cdwbackground").runVoidMethod ("Initialize",(Object)(__ref.getField(true,"_mbackgroundcolor")),(Object)(__ref.getField(true,"_mradius")));
 BA.debugLineNum = 111;BA.debugLine="ltbPanelBack.Background = cdwBackground";
Debug.ShouldStop(16384);
__ref.getField(false,"_ltbpanelback").runMethod(false,"setBackground",(__ref.getField(false,"_cdwbackground").getObject()));
 BA.debugLineNum = 114;BA.debugLine="ltbPanelFront.Initialize(\"ltbPanelFront\")";
Debug.ShouldStop(131072);
__ref.getField(false,"_ltbpanelfront").runVoidMethod ("Initialize",__ref.getField(false, "ba"),(Object)(RemoteObject.createImmutable("ltbPanelFront")));
 BA.debugLineNum = 115;BA.debugLine="ltbPanelBack.AddView(ltbPanelFront, 0, 0, ltbPane";
Debug.ShouldStop(262144);
__ref.getField(false,"_ltbpanelback").runVoidMethod ("AddView",(Object)((__ref.getField(false,"_ltbpanelfront").getObject())),(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(false,"_ltbpanelback").runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_ltbpanelback").runMethod(true,"getHeight")));
 BA.debugLineNum = 118;BA.debugLine="rectPanelFront.Initialize(0, 0, ltbPanelFront.Wid";
Debug.ShouldStop(2097152);
__ref.getField(false,"_rectpanelfront").runVoidMethod ("Initialize",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(false,"_ltbpanelfront").runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_ltbpanelfront").runMethod(true,"getHeight")));
 BA.debugLineNum = 119;BA.debugLine="ltbPanelFront.BringToFront";
Debug.ShouldStop(4194304);
__ref.getField(false,"_ltbpanelfront").runVoidMethod ("BringToFront");
 BA.debugLineNum = 122;BA.debugLine="cvsPanelBack.Initialize(ltbPanelBack)";
Debug.ShouldStop(33554432);
__ref.getField(false,"_cvspanelback").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelback").getObject())));
 BA.debugLineNum = 125;BA.debugLine="cvsPanelFront.Initialize(ltbPanelFront)";
Debug.ShouldStop(268435456);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelfront").getObject())));
 BA.debugLineNum = 128;BA.debugLine="setMax(mMaxValue)";
Debug.ShouldStop(-2147483648);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_setmax",(Object)(__ref.getField(true,"_mmaxvalue")));
 BA.debugLineNum = 130;BA.debugLine="DrawBackGround";
Debug.ShouldStop(2);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawbackground");
 BA.debugLineNum = 131;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initcursors(RemoteObject __ref) throws Exception{
try {
		Debug.PushSubsStack("InitCursors (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,133);
if (RapidSub.canDelegate("initcursors")) return __ref.runUserSub(false, "limitbar","initcursors", __ref);
 BA.debugLineNum = 133;BA.debugLine="Private Sub InitCursors";
Debug.ShouldStop(16);
 BA.debugLineNum = 134;BA.debugLine="x0 = mMargin";
Debug.ShouldStop(32);
__ref.setField ("_x0",__ref.getField(true,"_mmargin"));
 BA.debugLineNum = 135;BA.debugLine="x1 = mWidth - mMargin";
Debug.ShouldStop(64);
__ref.setField ("_x1",RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_mwidth"),__ref.getField(true,"_mmargin")}, "-",1, 1));
 BA.debugLineNum = 136;BA.debugLine="mScale = (x1 - x0) / mMaxValue";
Debug.ShouldStop(128);
__ref.setField ("_mscale",RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_x1"),__ref.getField(true,"_x0")}, "-",1, 1)),__ref.getField(true,"_mmaxvalue")}, "/",0, 0));
 BA.debugLineNum = 137;BA.debugLine="PositionPixels(0) = mLimit(0) * mScale + x0";
Debug.ShouldStop(256);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0)),__ref.getField(true,"_mscale"),__ref.getField(true,"_x0")}, "*+",1, 0)),BA.numberCast(int.class, 0));
 BA.debugLineNum = 138;BA.debugLine="PositionPixels(1) = mLimit(1) * mScale + x0";
Debug.ShouldStop(512);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1)),__ref.getField(true,"_mscale"),__ref.getField(true,"_x0")}, "*+",1, 0)),BA.numberCast(int.class, 1));
 BA.debugLineNum = 140;BA.debugLine="y0 = 0.2 * mHeight";
Debug.ShouldStop(2048);
__ref.setField ("_y0",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(0.2),__ref.getField(true,"_mheight")}, "*",0, 0)));
 BA.debugLineNum = 141;BA.debugLine="y1 = y0 + 8dip + 0.05 * mHeight";
Debug.ShouldStop(4096);
__ref.setField ("_y1",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(true,"_y0"),limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 8))),RemoteObject.createImmutable(0.05),__ref.getField(true,"_mheight")}, "++*",2, 0)));
 BA.debugLineNum = 142;BA.debugLine="y2 = 0.9 * mHeight";
Debug.ShouldStop(8192);
__ref.setField ("_y2",BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {RemoteObject.createImmutable(0.9),__ref.getField(true,"_mheight")}, "*",0, 0)));
 BA.debugLineNum = 143;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _initialize(RemoteObject __ref,RemoteObject _ba,RemoteObject _callback,RemoteObject _eventname) throws Exception{
try {
		Debug.PushSubsStack("Initialize (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,51);
if (RapidSub.canDelegate("initialize")) return __ref.runUserSub(false, "limitbar","initialize", __ref, _ba, _callback, _eventname);
__ref.runVoidMethodAndSync("innerInitializeHelper", _ba);
Debug.locals.put("ba", _ba);
Debug.locals.put("Callback", _callback);
Debug.locals.put("EventName", _eventname);
 BA.debugLineNum = 51;BA.debugLine="Public Sub Initialize(Callback As Object, EventNam";
Debug.ShouldStop(262144);
 BA.debugLineNum = 52;BA.debugLine="mCallback = Callback";
Debug.ShouldStop(524288);
__ref.setField ("_mcallback",_callback);
 BA.debugLineNum = 53;BA.debugLine="mEventName = EventName";
Debug.ShouldStop(1048576);
__ref.setField ("_meventname",_eventname);
 BA.debugLineNum = 56;BA.debugLine="mBackgroundColor = Colors.Blue";
Debug.ShouldStop(8388608);
__ref.setField ("_mbackgroundcolor",limitbar.__c.getField(false,"Colors").getField(true,"Blue"));
 BA.debugLineNum = 57;BA.debugLine="mBackLineColor = Colors.Black";
Debug.ShouldStop(16777216);
__ref.setField ("_mbacklinecolor",limitbar.__c.getField(false,"Colors").getField(true,"Black"));
 BA.debugLineNum = 58;BA.debugLine="mFrontLineColor = Colors.RGB(51, 181, 229)";
Debug.ShouldStop(33554432);
__ref.setField ("_mfrontlinecolor",limitbar.__c.getField(false,"Colors").runMethod(true,"RGB",(Object)(BA.numberCast(int.class, 51)),(Object)(BA.numberCast(int.class, 181)),(Object)(BA.numberCast(int.class, 229))));
 BA.debugLineNum = 59;BA.debugLine="mMargin = 15dip";
Debug.ShouldStop(67108864);
__ref.setField ("_mmargin",limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 15))));
 BA.debugLineNum = 60;BA.debugLine="mMaxValue = 100";
Debug.ShouldStop(134217728);
__ref.setField ("_mmaxvalue",BA.numberCast(int.class, 100));
 BA.debugLineNum = 61;BA.debugLine="mLimit(0) = 0";
Debug.ShouldStop(268435456);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, 0),BA.numberCast(int.class, 0));
 BA.debugLineNum = 62;BA.debugLine="mLimit(1) = mMaxValue";
Debug.ShouldStop(536870912);
__ref.getField(false,"_mlimit").setArrayElement (__ref.getField(true,"_mmaxvalue"),BA.numberCast(int.class, 1));
 BA.debugLineNum = 63;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _ltbpanelfront_touch(RemoteObject __ref,RemoteObject _action,RemoteObject _x,RemoteObject _y) throws Exception{
try {
		Debug.PushSubsStack("ltbPanelFront_Touch (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,178);
if (RapidSub.canDelegate("ltbpanelfront_touch")) return __ref.runUserSub(false, "limitbar","ltbpanelfront_touch", __ref, _action, _x, _y);
RemoteObject _val = RemoteObject.createImmutable(0);
Debug.locals.put("Action", _action);
Debug.locals.put("X", _x);
Debug.locals.put("Y", _y);
 BA.debugLineNum = 178;BA.debugLine="Private Sub ltbPanelFront_Touch (Action As Int, X";
Debug.ShouldStop(131072);
 BA.debugLineNum = 180;BA.debugLine="X = Max(x0, X)";
Debug.ShouldStop(524288);
_x = BA.numberCast(float.class, limitbar.__c.runMethod(true,"Max",(Object)(BA.numberCast(double.class, __ref.getField(true,"_x0"))),(Object)(BA.numberCast(double.class, _x))));Debug.locals.put("X", _x);
 BA.debugLineNum = 181;BA.debugLine="X = Min(x1, X)";
Debug.ShouldStop(1048576);
_x = BA.numberCast(float.class, limitbar.__c.runMethod(true,"Min",(Object)(BA.numberCast(double.class, __ref.getField(true,"_x1"))),(Object)(BA.numberCast(double.class, _x))));Debug.locals.put("X", _x);
 BA.debugLineNum = 184;BA.debugLine="Select Action";
Debug.ShouldStop(8388608);
switch (BA.switchObjectToInt(_action,BA.numberCast(int.class, 0),BA.numberCast(int.class, 2),BA.numberCast(int.class, 1))) {
case 0: {
 BA.debugLineNum = 186;BA.debugLine="If X < Abs(PositionPixels(0) + PositionPixels(1)";
Debug.ShouldStop(33554432);
if (RemoteObject.solveBoolean("<",_x,RemoteObject.solve(new RemoteObject[] {limitbar.__c.runMethod(true,"Abs",(Object)(BA.numberCast(double.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 0)),__ref.getField(false,"_positionpixels").getArrayElement(true,BA.numberCast(int.class, 1))}, "+",1, 1)))),RemoteObject.createImmutable(2)}, "/",0, 0))) { 
 BA.debugLineNum = 188;BA.debugLine="PosIndex = 0";
Debug.ShouldStop(134217728);
__ref.setField ("_posindex",BA.numberCast(int.class, 0));
 }else {
 BA.debugLineNum = 191;BA.debugLine="PosIndex = 1";
Debug.ShouldStop(1073741824);
__ref.setField ("_posindex",BA.numberCast(int.class, 1));
 };
 BA.debugLineNum = 193;BA.debugLine="mLimit(PosIndex) = Floor((X - x0) / mScale + .5)";
Debug.ShouldStop(1);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Floor",(Object)(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_x,__ref.getField(true,"_x0")}, "-",1, 0)),__ref.getField(true,"_mscale"),RemoteObject.createImmutable(.5)}, "/+",1, 0)))),__ref.getField(true,"_posindex"));
 BA.debugLineNum = 194;BA.debugLine="PositionPixels(PosIndex) = X";
Debug.ShouldStop(2);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, _x),__ref.getField(true,"_posindex"));
 BA.debugLineNum = 195;BA.debugLine="DrawCursors";
Debug.ShouldStop(4);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 break; }
case 1: {
 BA.debugLineNum = 197;BA.debugLine="mLimit(PosIndex) = Floor((X - x0) / mScale + .5)";
Debug.ShouldStop(16);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Floor",(Object)(RemoteObject.solve(new RemoteObject[] {(RemoteObject.solve(new RemoteObject[] {_x,__ref.getField(true,"_x0")}, "-",1, 0)),__ref.getField(true,"_mscale"),RemoteObject.createImmutable(.5)}, "/+",1, 0)))),__ref.getField(true,"_posindex"));
 BA.debugLineNum = 198;BA.debugLine="PositionPixels(PosIndex) = X";
Debug.ShouldStop(32);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, _x),__ref.getField(true,"_posindex"));
 BA.debugLineNum = 199;BA.debugLine="DrawCursors";
Debug.ShouldStop(64);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 break; }
case 2: {
 BA.debugLineNum = 203;BA.debugLine="If mLimit(0) > mLimit(1) Then";
Debug.ShouldStop(1024);
if (RemoteObject.solveBoolean(">",__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0)),BA.numberCast(double.class, __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1))))) { 
 BA.debugLineNum = 204;BA.debugLine="Private val As Int";
Debug.ShouldStop(2048);
_val = RemoteObject.createImmutable(0);Debug.locals.put("val", _val);
 BA.debugLineNum = 205;BA.debugLine="val = mLimit(0)";
Debug.ShouldStop(4096);
_val = __ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0));Debug.locals.put("val", _val);
 BA.debugLineNum = 206;BA.debugLine="mLimit(0) = mLimit(1)";
Debug.ShouldStop(8192);
__ref.getField(false,"_mlimit").setArrayElement (__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1)),BA.numberCast(int.class, 0));
 BA.debugLineNum = 207;BA.debugLine="mLimit(1) = val";
Debug.ShouldStop(16384);
__ref.getField(false,"_mlimit").setArrayElement (_val,BA.numberCast(int.class, 1));
 BA.debugLineNum = 208;BA.debugLine="PositionPixels(0) = mLimit(0) * mScale + x0";
Debug.ShouldStop(32768);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0)),__ref.getField(true,"_mscale"),__ref.getField(true,"_x0")}, "*+",1, 0)),BA.numberCast(int.class, 0));
 BA.debugLineNum = 209;BA.debugLine="PositionPixels(1) = mLimit(1) * mScale + x0";
Debug.ShouldStop(65536);
__ref.getField(false,"_positionpixels").setArrayElement (BA.numberCast(int.class, RemoteObject.solve(new RemoteObject[] {__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1)),__ref.getField(true,"_mscale"),__ref.getField(true,"_x0")}, "*+",1, 0)),BA.numberCast(int.class, 1));
 BA.debugLineNum = 210;BA.debugLine="DrawCursors";
Debug.ShouldStop(131072);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 };
 break; }
}
;
 BA.debugLineNum = 215;BA.debugLine="If SubExists(mCallback, mEventName & \"_ValuesChan";
Debug.ShouldStop(4194304);
if (limitbar.__c.runMethod(true,"SubExists",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_ValuesChanged")))).<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 216;BA.debugLine="CallSub3(mCallback, mEventName & \"_ValuesChanged";
Debug.ShouldStop(8388608);
limitbar.__c.runMethodAndSync(false,"CallSubNew3",__ref.getField(false, "ba"),(Object)(__ref.getField(false,"_mcallback")),(Object)(RemoteObject.concat(__ref.getField(true,"_meventname"),RemoteObject.createImmutable("_ValuesChanged"))),(Object)((__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 0)))),(Object)((__ref.getField(false,"_mlimit").getArrayElement(true,BA.numberCast(int.class, 1)))));
 };
 BA.debugLineNum = 218;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setbacklinecolor(RemoteObject __ref,RemoteObject _backlinecolor) throws Exception{
try {
		Debug.PushSubsStack("setBackLineColor (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,323);
if (RapidSub.canDelegate("setbacklinecolor")) return __ref.runUserSub(false, "limitbar","setbacklinecolor", __ref, _backlinecolor);
Debug.locals.put("BackLineColor", _backlinecolor);
 BA.debugLineNum = 323;BA.debugLine="Public Sub setBackLineColor(BackLineColor As Int)";
Debug.ShouldStop(4);
 BA.debugLineNum = 324;BA.debugLine="mBackLineColor = BackLineColor";
Debug.ShouldStop(8);
__ref.setField ("_mbacklinecolor",_backlinecolor);
 BA.debugLineNum = 325;BA.debugLine="If ltbPanelBack.IsInitialized Then";
Debug.ShouldStop(16);
if (__ref.getField(false,"_ltbpanelback").runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 326;BA.debugLine="DrawBackGround";
Debug.ShouldStop(32);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawbackground");
 };
 BA.debugLineNum = 328;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setfrontlinecolor(RemoteObject __ref,RemoteObject _frontlinecolor) throws Exception{
try {
		Debug.PushSubsStack("setFrontLineColor (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,335);
if (RapidSub.canDelegate("setfrontlinecolor")) return __ref.runUserSub(false, "limitbar","setfrontlinecolor", __ref, _frontlinecolor);
Debug.locals.put("FrontLineColor", _frontlinecolor);
 BA.debugLineNum = 335;BA.debugLine="Public Sub setFrontLineColor(FrontLineColor As Int";
Debug.ShouldStop(16384);
 BA.debugLineNum = 336;BA.debugLine="mFrontLineColor = FrontLineColor";
Debug.ShouldStop(32768);
__ref.setField ("_mfrontlinecolor",_frontlinecolor);
 BA.debugLineNum = 337;BA.debugLine="If ltbPanelBack.IsInitialized Then";
Debug.ShouldStop(65536);
if (__ref.getField(false,"_ltbpanelback").runMethod(true,"IsInitialized").<Boolean>get().booleanValue()) { 
 BA.debugLineNum = 338;BA.debugLine="DrawCursors";
Debug.ShouldStop(131072);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 };
 BA.debugLineNum = 340;BA.debugLine="End Sub";
Debug.ShouldStop(524288);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setheight(RemoteObject __ref,RemoteObject _height) throws Exception{
try {
		Debug.PushSubsStack("setHeight (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,294);
if (RapidSub.canDelegate("setheight")) return __ref.runUserSub(false, "limitbar","setheight", __ref, _height);
Debug.locals.put("Height", _height);
 BA.debugLineNum = 294;BA.debugLine="Public Sub setHeight(Height As Int)";
Debug.ShouldStop(32);
 BA.debugLineNum = 295;BA.debugLine="mHeight = Max(Height, 30dip)";
Debug.ShouldStop(64);
__ref.setField ("_mheight",BA.numberCast(int.class, limitbar.__c.runMethod(true,"Max",(Object)(BA.numberCast(double.class, _height)),(Object)(BA.numberCast(double.class, limitbar.__c.runMethod(true,"DipToCurrent",(Object)(BA.numberCast(int.class, 30))))))));
 BA.debugLineNum = 296;BA.debugLine="ltbPanelBack.Height = mHeight";
Debug.ShouldStop(128);
__ref.getField(false,"_ltbpanelback").runMethod(true,"setHeight",__ref.getField(true,"_mheight"));
 BA.debugLineNum = 297;BA.debugLine="ltbPanelFront.Height = mHeight";
Debug.ShouldStop(256);
__ref.getField(false,"_ltbpanelfront").runMethod(true,"setHeight",__ref.getField(true,"_mheight"));
 BA.debugLineNum = 298;BA.debugLine="cvsPanelBack.Initialize(ltbPanelBack)";
Debug.ShouldStop(512);
__ref.getField(false,"_cvspanelback").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelback").getObject())));
 BA.debugLineNum = 299;BA.debugLine="cvsPanelFront.Initialize(ltbPanelFront)";
Debug.ShouldStop(1024);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelfront").getObject())));
 BA.debugLineNum = 302;BA.debugLine="rectPanelFront.Initialize(0, 0, mWidth, mHeight)";
Debug.ShouldStop(8192);
__ref.getField(false,"_rectpanelfront").runVoidMethod ("Initialize",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(true,"_mwidth")),(Object)(__ref.getField(true,"_mheight")));
 BA.debugLineNum = 304;BA.debugLine="InitCursors";
Debug.ShouldStop(32768);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initcursors");
 BA.debugLineNum = 305;BA.debugLine="DrawBackGround";
Debug.ShouldStop(65536);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawbackground");
 BA.debugLineNum = 306;BA.debugLine="DrawCursors";
Debug.ShouldStop(131072);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 BA.debugLineNum = 307;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setleft(RemoteObject __ref,RemoteObject _left) throws Exception{
try {
		Debug.PushSubsStack("setLeft (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,256);
if (RapidSub.canDelegate("setleft")) return __ref.runUserSub(false, "limitbar","setleft", __ref, _left);
Debug.locals.put("Left", _left);
 BA.debugLineNum = 256;BA.debugLine="Public Sub setLeft(Left As Int)";
Debug.ShouldStop(-2147483648);
 BA.debugLineNum = 257;BA.debugLine="ltbPanelBack.Left = Left";
Debug.ShouldStop(1);
__ref.getField(false,"_ltbpanelback").runMethod(true,"setLeft",_left);
 BA.debugLineNum = 258;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setlimitleft(RemoteObject __ref,RemoteObject _pos) throws Exception{
try {
		Debug.PushSubsStack("setLimitLeft (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,232);
if (RapidSub.canDelegate("setlimitleft")) return __ref.runUserSub(false, "limitbar","setlimitleft", __ref, _pos);
Debug.locals.put("Pos", _pos);
 BA.debugLineNum = 232;BA.debugLine="Public Sub setLimitLeft(Pos As Int)";
Debug.ShouldStop(128);
 BA.debugLineNum = 234;BA.debugLine="mLimit(0) = Max(0, Pos)";
Debug.ShouldStop(512);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Max",(Object)(BA.numberCast(double.class, 0)),(Object)(BA.numberCast(double.class, _pos)))),BA.numberCast(int.class, 0));
 BA.debugLineNum = 235;BA.debugLine="InitCursors";
Debug.ShouldStop(1024);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initcursors");
 BA.debugLineNum = 236;BA.debugLine="DrawCursors";
Debug.ShouldStop(2048);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 BA.debugLineNum = 237;BA.debugLine="End Sub";
Debug.ShouldStop(4096);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setlimitright(RemoteObject __ref,RemoteObject _pos) throws Exception{
try {
		Debug.PushSubsStack("setLimitRight (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,244);
if (RapidSub.canDelegate("setlimitright")) return __ref.runUserSub(false, "limitbar","setlimitright", __ref, _pos);
Debug.locals.put("Pos", _pos);
 BA.debugLineNum = 244;BA.debugLine="Public Sub setLimitRight(Pos As Int)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 246;BA.debugLine="mLimit(1) = Min(mMaxValue, Pos)";
Debug.ShouldStop(2097152);
__ref.getField(false,"_mlimit").setArrayElement (BA.numberCast(int.class, limitbar.__c.runMethod(true,"Min",(Object)(BA.numberCast(double.class, __ref.getField(true,"_mmaxvalue"))),(Object)(BA.numberCast(double.class, _pos)))),BA.numberCast(int.class, 1));
 BA.debugLineNum = 247;BA.debugLine="InitCursors";
Debug.ShouldStop(4194304);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initcursors");
 BA.debugLineNum = 248;BA.debugLine="DrawCursors";
Debug.ShouldStop(8388608);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 BA.debugLineNum = 249;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setmax(RemoteObject __ref,RemoteObject _maxvalue) throws Exception{
try {
		Debug.PushSubsStack("setMax (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,221);
if (RapidSub.canDelegate("setmax")) return __ref.runUserSub(false, "limitbar","setmax", __ref, _maxvalue);
Debug.locals.put("MaxValue", _maxvalue);
 BA.debugLineNum = 221;BA.debugLine="Public Sub setMax(MaxValue As Int)";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 222;BA.debugLine="mMaxValue = MaxValue";
Debug.ShouldStop(536870912);
__ref.setField ("_mmaxvalue",_maxvalue);
 BA.debugLineNum = 223;BA.debugLine="InitCursors";
Debug.ShouldStop(1073741824);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initcursors");
 BA.debugLineNum = 224;BA.debugLine="DrawCursors";
Debug.ShouldStop(-2147483648);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 BA.debugLineNum = 225;BA.debugLine="End Sub";
Debug.ShouldStop(1);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _settop(RemoteObject __ref,RemoteObject _top) throws Exception{
try {
		Debug.PushSubsStack("setTop (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,265);
if (RapidSub.canDelegate("settop")) return __ref.runUserSub(false, "limitbar","settop", __ref, _top);
Debug.locals.put("Top", _top);
 BA.debugLineNum = 265;BA.debugLine="Public Sub setTop(Top As Int)";
Debug.ShouldStop(256);
 BA.debugLineNum = 266;BA.debugLine="ltbPanelBack.Top = Top";
Debug.ShouldStop(512);
__ref.getField(false,"_ltbpanelback").runMethod(true,"setTop",_top);
 BA.debugLineNum = 267;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setvisible(RemoteObject __ref,RemoteObject _isvisible) throws Exception{
try {
		Debug.PushSubsStack("setVisible (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,314);
if (RapidSub.canDelegate("setvisible")) return __ref.runUserSub(false, "limitbar","setvisible", __ref, _isvisible);
Debug.locals.put("IsVisible", _isvisible);
 BA.debugLineNum = 314;BA.debugLine="Public Sub setVisible(IsVisible As Boolean)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 315;BA.debugLine="ltbPanelBack.Visible = IsVisible";
Debug.ShouldStop(67108864);
__ref.getField(false,"_ltbpanelback").runMethod(true,"setVisible",_isvisible);
 BA.debugLineNum = 316;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _setwidth(RemoteObject __ref,RemoteObject _width) throws Exception{
try {
		Debug.PushSubsStack("setWidth (limitbar) ","limitbar",1,__ref.getField(false, "ba"),__ref,274);
if (RapidSub.canDelegate("setwidth")) return __ref.runUserSub(false, "limitbar","setwidth", __ref, _width);
Debug.locals.put("Width", _width);
 BA.debugLineNum = 274;BA.debugLine="Public Sub setWidth(Width As Int)";
Debug.ShouldStop(131072);
 BA.debugLineNum = 275;BA.debugLine="mWidth = Width";
Debug.ShouldStop(262144);
__ref.setField ("_mwidth",_width);
 BA.debugLineNum = 276;BA.debugLine="ltbPanelBack.Width = mWidth";
Debug.ShouldStop(524288);
__ref.getField(false,"_ltbpanelback").runMethod(true,"setWidth",__ref.getField(true,"_mwidth"));
 BA.debugLineNum = 277;BA.debugLine="ltbPanelFront.Width = mWidth";
Debug.ShouldStop(1048576);
__ref.getField(false,"_ltbpanelfront").runMethod(true,"setWidth",__ref.getField(true,"_mwidth"));
 BA.debugLineNum = 278;BA.debugLine="cvsPanelBack.Initialize(ltbPanelBack)";
Debug.ShouldStop(2097152);
__ref.getField(false,"_cvspanelback").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelback").getObject())));
 BA.debugLineNum = 279;BA.debugLine="cvsPanelFront.Initialize(ltbPanelFront)";
Debug.ShouldStop(4194304);
__ref.getField(false,"_cvspanelfront").runVoidMethod ("Initialize",(Object)((__ref.getField(false,"_ltbpanelfront").getObject())));
 BA.debugLineNum = 282;BA.debugLine="rectPanelFront.Initialize(0, 0, ltbPanelFront.Wid";
Debug.ShouldStop(33554432);
__ref.getField(false,"_rectpanelfront").runVoidMethod ("Initialize",(Object)(BA.numberCast(int.class, 0)),(Object)(BA.numberCast(int.class, 0)),(Object)(__ref.getField(false,"_ltbpanelfront").runMethod(true,"getWidth")),(Object)(__ref.getField(false,"_ltbpanelfront").runMethod(true,"getHeight")));
 BA.debugLineNum = 284;BA.debugLine="InitCursors";
Debug.ShouldStop(134217728);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_initcursors");
 BA.debugLineNum = 285;BA.debugLine="DrawBackGround";
Debug.ShouldStop(268435456);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawbackground");
 BA.debugLineNum = 286;BA.debugLine="DrawCursors";
Debug.ShouldStop(536870912);
__ref.runClassMethod (b4a.limitbardemo.limitbar.class, "_drawcursors");
 BA.debugLineNum = 287;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}